package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Visa_administration;
import com.realnet.vpspack.Services.Visa_administrationService ;












@RequestMapping(value = "/Visa_administration")
 @CrossOrigin("*") 
@RestController
public class Visa_administrationController {
	@Autowired
	private Visa_administrationService Service;

@Value("${projectPath}")
	private String projectPath;
 












	@PostMapping("/Visa_administration")
		  public Visa_administration Savedata(@RequestBody Visa_administration data) {
		Visa_administration save = Service.Savedata(data)	;











		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Visa_administration/{id}")
	public  Visa_administration update(@RequestBody Visa_administration data,@PathVariable Integer id ) {
		Visa_administration update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Visa_administration/getall/page")
	public Page<Visa_administration> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Visa_administration> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Visa_administration")
	public List<Visa_administration> getdetails() {
		 List<Visa_administration> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Visa_administration")
	public List<Visa_administration> getallwioutsec() {
		 List<Visa_administration> get = Service.getdetails();		
		return get;
}
@GetMapping("/Visa_administration/{id}")
	public  Visa_administration  getdetailsbyId(@PathVariable Integer id ) {
		Visa_administration  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Visa_administration/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}













}